Index: CHANGELOG
===================================================================
--- CHANGELOG	(revision 8653)
+++ CHANGELOG	(working copy)
@@ -1,3 +1,8 @@
+2010-08-21 Remove unused and inappropriate methods from Tick classes:
+           set_view_interval, get_minpos, and get_data_interval are
+           properly found in the Axis class and don't need to be
+           duplicated in XTick and YTick. - EF
+
 2010-08-21 Change Axis.set_view_interval() so that when updating an
            existing interval, it respects the orientation of that
            interval, and can enlarge but not reduce the interval.
Index: lib/matplotlib/axis.py
===================================================================
--- lib/matplotlib/axis.py	(revision 8653)
+++ lib/matplotlib/axis.py	(working copy)
@@ -262,9 +262,6 @@
         'return the view Interval instance for the axis this tick is ticking'
         raise NotImplementedError('Derived must override')
 
-    def set_view_interval(self, vmin, vmax, ignore=False):
-        raise NotImplementedError('Derived must override')
-
     def _apply_params(self, **kw):
         switchkw = ['gridOn', 'tick1On', 'tick2On', 'label1On', 'label2On']
         switches = [k for k in kw if k in switchkw]
@@ -445,21 +442,7 @@
         'return the Interval instance for this axis view limits'
         return self.axes.viewLim.intervalx
 
-    def set_view_interval(self, vmin, vmax, ignore = False):
-        if ignore:
-            self.axes.viewLim.intervalx = vmin, vmax
-        else:
-            Vmin, Vmax = self.get_view_interval()
-            self.axes.viewLim.intervalx = min(vmin, Vmin), max(vmax, Vmax)
 
-    def get_minpos(self):
-        return self.axes.dataLim.minposx
-
-    def get_data_interval(self):
-        'return the Interval instance for this axis data limits'
-        return self.axes.dataLim.intervalx
-
-
 class YTick(Tick):
     """
     Contains all the Artists needed to make a Y tick - the tick line,
@@ -595,21 +578,7 @@
         'return the Interval instance for this axis view limits'
         return self.axes.viewLim.intervaly
 
-    def set_view_interval(self, vmin, vmax, ignore = False):
-        if ignore:
-            self.axes.viewLim.intervaly = vmin, vmax
-        else:
-            Vmin, Vmax = self.get_view_interval()
-            self.axes.viewLim.intervaly = min(vmin, Vmin), max(vmax, Vmax)
 
-    def get_minpos(self):
-        return self.axes.dataLim.minposy
-
-    def get_data_interval(self):
-        'return the Interval instance for this axis data limits'
-        return self.axes.dataLim.intervaly
-
-
 class Ticker:
     locator = None
     formatter = None
